/**
 * otplib-plugin-base32-enc-dec
 *
 * @author Gerald Yeo <contact@fusedthought.com>
 * @version: 12.0.0-1
 * @license: MIT
 **/
'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

function _interopDefault (ex) { return (ex && (typeof ex === 'object') && 'default' in ex) ? ex['default'] : ex; }

var base32Decode = _interopDefault(require('base32-decode'));
var base32Encode = _interopDefault(require('base32-encode'));

const keyDecoder = (secret, encoding) => {
  const arrayBuffer = base32Decode(secret.toUpperCase(), 'RFC4648');
  return Buffer.from(arrayBuffer).toString(encoding);
};
const keyEncoder = (secret, encoding) => {
  return base32Encode(Buffer.from(secret, encoding), 'RFC4648', {
    padding: false
  });
};

exports.keyDecoder = keyDecoder;
exports.keyEncoder = keyEncoder;
