/**
 * otplib-preset-default-async
 *
 * @author Gerald Yeo <contact@fusedthought.com>
 * @version: 12.0.0-1
 * @license: MIT
 **/
'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

var otplibPluginCryptoAsyncRonomon = require('../plugin-crypto-async-ronomon');
var otplibPluginThirtyTwo = require('../plugin-thirty-two');
var otplibCoreAsync = require('../core-async');

const hotp = new otplibCoreAsync.HOTPAsync({
  createDigest: otplibPluginCryptoAsyncRonomon.createDigest
});
const totp = new otplibCoreAsync.TOTPAsync({
  createDigest: otplibPluginCryptoAsyncRonomon.createDigest
});
const authenticator = new otplibCoreAsync.AuthenticatorAsync({
  createDigest: otplibPluginCryptoAsyncRonomon.createDigest,
  createRandomBytes: otplibPluginCryptoAsyncRonomon.createRandomBytes,
  keyDecoder: otplibPluginThirtyTwo.keyDecoder,
  keyEncoder: otplibPluginThirtyTwo.keyEncoder
});

exports.authenticator = authenticator;
exports.hotp = hotp;
exports.totp = totp;
