/**
 * otplib-preset-default
 *
 * @author Gerald Yeo <contact@fusedthought.com>
 * @version: 12.0.0-1
 * @license: MIT
 **/
'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

var otplibPluginCrypto = require('../plugin-crypto');
var otplibPluginThirtyTwo = require('../plugin-thirty-two');
var otplibCore = require('../core');

const hotp = new otplibCore.HOTP({
  createDigest: otplibPluginCrypto.createDigest
});
const totp = new otplibCore.TOTP({
  createDigest: otplibPluginCrypto.createDigest
});
const authenticator = new otplibCore.Authenticator({
  createDigest: otplibPluginCrypto.createDigest,
  createRandomBytes: otplibPluginCrypto.createRandomBytes,
  keyDecoder: otplibPluginThirtyTwo.keyDecoder,
  keyEncoder: otplibPluginThirtyTwo.keyEncoder
});

exports.authenticator = authenticator;
exports.hotp = hotp;
exports.totp = totp;
